package com.bizmatics.service.util;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.bizmatics.common.core.util.HttpUtils;
import com.bizmatics.common.mvc.utils.IpUtils;
import com.bizmatics.common.spring.util.JsonUtils;
import com.bizmatics.service.config.WjConfig;
import com.fasterxml.jackson.core.type.TypeReference;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

/**
 * 伍继电力字段转义
 * 
 * @author yq
 */
public class FieldEscapeUtils
{
   public static String fieldEscapeUtils(String fieldValue){
       String field=null;
       switch (fieldValue) {
           case "Busot":
               field = "母线停电次数";
               break;
           case "COS":
               field = "三相功率因数";
               break;
           case "COSa":
               field = "A相功率因数";
               break;
           case "COSb":
               field = "B相功率因数";
               break;
           case "COSc":
               field = "C相功率因数";
               break;
           case "Demand":
               field = "实时有功需量";
               break;
           case "DevResetTimes":
               field = "设备复位次数";
               break;
           case "DeviceTemp":
               field = "设备温度";
               break;
           case "Epn":
               field = "三相反向有功电度";
               break;
           case "Epn1":
               field = "尖段反向有功电度";
               break;
           case "Epn2":
               field = "峰段反向有功电度";
               break;
           case "Epn3":
               field = "平段反向有功电度";
               break;
           case "Epn4":
               field = "谷段反向有功电度";
               break;
           case "Epp":
               field = "三相正向有功电度";
               break;
           case "Epp1":
               field = "尖段正向有功电度";
               break;
           case "Epp2":
               field = "峰段正向有功电度";
               break;
           case "Epp3":
               field = "平段正向有功电度";
               break;
           case "Epp4":
               field = "谷段正向有功电度";
               break;
           case "Eqn":
               field = "三相反向无功电度";
               break;
           case "Eqp":
               field = "三相正向无功电度";
               break;
           case "F":
               field = "频率";
               break;
           case "I0":
               field = "零序电流";
               break;
           case "I2":
               field = "负序电流";
               break;
           case "IHa":
               field = "A相总谐波电流";
               break;
           case "IHb":
               field = "B相总谐波电流";
               break;
           case "IHc":
               field = "C相总谐波电流";
               break;
           case "Ia":
               field = "A相电流";
               break;
           case "Ib":
               field = "B相电流";
               break;
           case "Ic":
               field = "C相电流";
               break;
           case "Ir":
               field = "剩余电流";
               break;
           case "LastDayMD":
               field = "昨日有功最大需量";
               break;
           case "LastDayMDt":
               field = "昨日有功最大需量发生时间";
               break;
           case "P":
               field = "三相总有功功率";
               break;
           case "Pa":
               field = "A相有功功率";
               break;
           case "Pb":
               field = "B相有功功率";
               break;
           case "Pc":
               field = "C相有功功率";
               break;
           case "Q":
               field = "三相总无功功率";
               break;
           case "Qa":
               field = "A相无功功率";
               break;
           case "Qb":
               field = "B相无功功率";
               break;
           case "Qc":
               field = "C相无功功率";
               break;
           case "SignalIntensity":
               field = "信号强度";
               break;
           case "T1":
               field = "第1路温度";
               break;
           case "T2":
               field = "第2路温度";
               break;
           case "T3":
               field = "第3路温度";
               break;
           case "T4":
               field = "第4路温度";
               break;
           case "THDUa":
               field = "A相电压THD";
               break;
           case "THDUb":
               field = "B相电压THD";
               break;
           case "THDUc":
               field = "C相电压THD";
               break;
           case "Ua":
               field = "A相电压";
               break;
           case "Uab":
               field = "AB线电压";
               break;
           case "Ub":
               field = "B相电压";
               break;
           case "Ubc":
               field = "BC线电压";
               break;
           case "UblU0":
               field = "零序电压不平衡度";
               break;
           case "UblU2":
               field = "负序电压不平衡度";
               break;
           case "Uc":
               field = "C相电压";
               break;
           case "Uca":
               field = "CA线电压";
               break;
           case "Udt":
               field = "电压暂降次数";
               break;
           case "Ul":
               field = "线路侧电压";
               break;
           case "Upt":
               field = "电压暂升次数";
               break;
           case "Ust":
               field = "电压短时中断次数";
               break;
           default:
               field = "未定义";
       }
       return field;
   }
}
